type: com.google.api.codegen.ConfigProto
config_schema_version: 2.0.0
language_settings:
  java:
    package_name: com.google.cloud.logging.v2
    interface_names:
      google.logging.v2.ConfigServiceV2: Config
      google.logging.v2.LoggingServiceV2: Logging
      google.logging.v2.MetricsServiceV2: Metrics
  python:
    package_name: google.cloud.logging_v2.gapic
  go:
    package_name: cloud.google.com/go/logging/apiv2
    domain_layer_location: cloud.google.com/go/logging
  csharp:
    package_name: Google.Cloud.Logging.V2
    release_level: GA
  ruby:
    package_name: Google::Cloud::Logging::V2
  php:
    package_name: Google\Cloud\Logging\V2
  nodejs:
    package_name: logging.v2
    domain_layer_location: google-cloud
interfaces:
- name: google.logging.v2.ConfigServiceV2
  retry_codes_def:
  - name: idempotent
    retry_codes:
    - UNAVAILABLE
    - DEADLINE_EXCEEDED
    - INTERNAL
  methods:
  - name: DeleteSink
    retry_codes_name: idempotent
  - name: UpdateSink
    retry_codes_name: idempotent
  - name: DeleteExclusion
    retry_codes_name: idempotent
- name: google.logging.v2.MetricsServiceV2
  retry_codes_def:
  - name: idempotent
    retry_codes:
    - UNAVAILABLE
    - DEADLINE_EXCEEDED
    - INTERNAL
  methods:
  - name: UpdateLogMetric
    retry_codes_name: idempotent
  - name: DeleteLogMetric
    retry_codes_name: idempotent
- name: google.logging.v2.LoggingServiceV2
  retry_codes_def:
  - name: idempotent
    retry_codes:
    - UNAVAILABLE
    - DEADLINE_EXCEEDED
    - INTERNAL
  methods:
  - name: DeleteLog
    retry_codes_name: idempotent
  - name: ListLogEntries
    retry_codes_name: idempotent
  - name: WriteLogEntries
    retry_codes_name: idempotent
    batching:
      thresholds:
        element_count_threshold: 1000
        request_byte_threshold: 1048576
        delay_threshold_millis: 50
        flow_control_element_limit: 100000
        flow_control_byte_limit: 10485760
        flow_control_limit_exceeded_behavior: THROW_EXCEPTION
      batch_descriptor:
        batched_field: entries
        discriminator_fields:
        - log_name
        - resource
        - labels
